# Class JsonDelta

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a JSON delta.

    public class JsonDelta : ContentDelta

Inheritance
  object
  ContentDelta
  JsonDelta

Inherited Members
  ContentDelta.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### JsonDelta(string)

Initializes a new instance of the JsonDelta class.

    public JsonDelta(string partialJson)

#### Parameters

`partialJson` string

  The partial JSON.

## Properties

### PartialJson

Gets the partial JSON.

    [JsonPropertyName("partial_json")]
    public string PartialJson { get; init; }

#### Property Value

string